kr.co.hanwha.hifive.data.model

## Class AlarmData

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.AlarmData

    public class AlarmData
    extends java.lang.Object

Created by sanghoonkwon on 2018. 1. 22..

### Field Summary

Fields
`(package private) int` `context_id`
`(package private) java.lang.String` `created_at`
`(package private) int` `group_id`
`(package private) boolean` `is_opened`
`(package private) int` `member_id`
`(package private) java.lang.String` `message`
`(package private) int` `noti_info_id`
`(package private) java.lang.String` `profile_url`
`(package private) int` `project_id`
`(package private) java.lang.String` `response`
`(package private) int` `task_id`
`(package private) java.lang.String` `title`
`(package private) int` `track_id`
`(package private) java.lang.String` `updated_at`
`(package private) java.lang.String` `url`

### Constructor Summary

Constructors
Constructor and Description
`AlarmData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getContext_id()`
`java.lang.String` `getCreated_at()`
`int` `getGroup_id()`
`java.lang.String` `getMessage()`
`int` `getNoti_info_id()`
`java.lang.String` `getProfile_url()`
`int` `getProject_id()`
`int` `getTask_id()`
`java.lang.String` `getTitle()`
`int` `getTrack_id()`
`java.lang.String` `getUrl()`
`boolean` `is_opened()`
`void` `setCreated_at(java.lang.String created_at)`
`void` `setIs_opened(boolean is_opened)`
`void` `setMessage(java.lang.String message)`
`void` `setTitle(java.lang.String title)`
`void` `setTrack_id(int track_id)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### member_id

    int member_id

#### title

    java.lang.String title

#### message

    java.lang.String message

#### response

    java.lang.String response

#### created_at

    java.lang.String created_at

#### updated_at

    java.lang.String updated_at

#### url

    java.lang.String url

#### profile_url

    java.lang.String profile_url

#### is_opened

    boolean is_opened

#### noti_info_id

    int noti_info_id

#### task_id

    int task_id

#### project_id

    int project_id

#### track_id

    int track_id

#### context_id

    int context_id

#### group_id

    int group_id

### Constructor Detail

#### AlarmData

    public AlarmData()

### Method Detail

#### getUrl

    public java.lang.String getUrl()

#### getProfile_url

    public java.lang.String getProfile_url()

#### setIs_opened

    public void setIs_opened(boolean is_opened)

#### is_opened

    public boolean is_opened()

#### getNoti_info_id

    public int getNoti_info_id()

#### getTask_id

    public int getTask_id()

#### getProject_id

    public int getProject_id()

#### getContext_id

    public int getContext_id()

#### getTitle

    public java.lang.String getTitle()

#### getMessage

    public java.lang.String getMessage()

#### getCreated_at

    public java.lang.String getCreated_at()

#### setTitle

    public void setTitle(java.lang.String title)

#### setMessage

    public void setMessage(java.lang.String message)

#### setCreated_at

    public void setCreated_at(java.lang.String created_at)

#### getTrack_id

    public int getTrack_id()

#### setTrack_id

    public void setTrack_id(int track_id)

#### getGroup_id

    public int getGroup_id()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`